Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.shared
Class CinemaSplash

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaModule
                        |
                        +--uk.ac.man.bioinf.apps.cinema.shared.CinemaSplash

All Implemented Interfaces:
  AlignmentEventProvider

public class CinemaSplash
extends CinemaModule

CinemaSplash.java Created: Tue Dec 12 17:42:27 2000

Version:
  $Id: CinemaSplash.java,v 1.4 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaSplash()`

Method Summary
`String` | `getVersion()` Returns the version of this module.
`void` | `killSplash()`
`void` | `load()` The method called for the load of this module.

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaModule
`addAlignmentListener, addCinemaPropertyChangeListener, addCinemaPropertyChangeListener, addVetoableAlignmentListener, clearSequenceTitleColor, destroy, fireCinemaPropertyChange, getAlignmentSelectionModel, getColorMap, getRequiredIdentifiers, getSequenceAlignment, removeAlignmentListener, removeCinemaPropertyChangeListener, removeCinemaPropertyChangeListener, removeVetoableAlignmentListener, sendStatusMessage, setAlignmentSelectionModel, setColorMap, setSequenceAlignment, setSequenceTitleColor`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLModule
`getConfigProperties, getConfigTree`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext, start`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaSplash

    public CinemaSplash()

Method Detail

### load

    public void load()
              throws ModuleException

  Description copied from class: `Module`
  The method called for the load of this module.

  Overrides:
    `load` in class `Module`
    `ModuleException`

### killSplash

    public void killSplash()

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD